Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.aop
Interface AspectablePicoContainer

All Superinterfaces:
  AspectsContainer, org.picocontainer.Disposable, org.picocontainer.MutablePicoContainer, org.picocontainer.PicoContainer, org.picocontainer.Startable

    public interface AspectablePicoContainer

extends AspectsContainer, org.picocontainer.MutablePicoContainer

A `org.picocontainer.MutablePicoContainer` that supports the application of aspects to components in the container.

Version:
  $Revision: 3144 $
Author:
  Stephen Molitor
See Also:
  The package description has a basic overview of how to use the nanoaop package.

Method Summary

Methods inherited from interface org.nanocontainer.aop.AspectsContainer
`getPointcutsFactory, registerInterceptor, registerInterceptor, registerInterceptor, registerInterceptor, registerInterfaces, registerInterfaces, registerMixin, registerMixin, registerMixin, registerMixin`

Methods inherited from interface org.picocontainer.MutablePicoContainer
`addChildContainer, makeChildContainer, registerComponent, registerComponentImplementation, registerComponentImplementation, registerComponentImplementation, registerComponentInstance, registerComponentInstance, removeChildContainer, unregisterComponent, unregisterComponentByInstance`

Methods inherited from interface org.picocontainer.PicoContainer
`accept, getComponentAdapter, getComponentAdapterOfType, getComponentAdapters, getComponentAdaptersOfType, getComponentInstance, getComponentInstanceOfType, getComponentInstances, getComponentInstancesOfType, getParent, verify`

Methods inherited from interface org.picocontainer.Startable
`start, stop`

Methods inherited from interface org.picocontainer.Disposable
`dispose`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.